QGIS Application - Feature request #15967
Allow to set default sort column in Identify Window
2016-12-10 11:56 PM - John Zielinski

Status: Open

Priority: Low

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 23883
Description

Currently the identify window shows items in the order returned by the database (postgres in my case). | would like the have an option to
set it to default to sort by the value column automatically so | don't have to click it after every single identify mouse click. That's a lot of
back and forth mouse movement. | have set up a virtual column to sort by and set it under Layer Properties > Display > Field.

The alternative would be to allow me to specify an ORDER BY clause. That way the default of database order would work out. | can
already set the WHERE clause in the Layer Properties > General > Provider feature filter setting. | tried being clever and setting that to
"true ORDER BY id" but that returned 0 items.

History

#1 - 2016-12-11 12:00 AM - John Zielinski

Actually, it's two mouse clicks after each identify since | need it sorted by value in reverse order.

#2 - 2017-05-01 12:44 AM - Giovanni Manghi
- Easy fix? set to No
